import React, { useState } from 'react';
import { Pressable, Text, View, Alert, Modal, StyleSheet } from 'react-native';
export default function Index(props) {
  const [modalVisible, setModalVisible] = useState(false);
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Modal, {
    animationType: "slide",
    transparent: true,
    visible: modalVisible,
    onRequestClose: () => {
      Alert.alert('Modal has been closed.');
      setModalVisible(!modalVisible);
    }
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(View, {
    style: styles.modalView
  }, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => setModalVisible(!modalVisible)
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.exit
  }, "x")), /*#__PURE__*/React.createElement(Text, {
    style: styles.modalText
  }, "Piblic:", props.publicKey), /*#__PURE__*/React.createElement(Text, {
    style: styles.modalText
  }, "clientSecret:", props.clientSecret)))), /*#__PURE__*/React.createElement(Pressable, {
    style: styles.button,
    onPress: () => setModalVisible(true)
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.text
  }, "Checkout with xx")));
}
const styles = StyleSheet.create({
  button: {
    alignItems: 'center',
    justifyContent: 'center',
    paddingVertical: 12,
    paddingHorizontal: 82,
    margin: 40,
    borderRadius: 5,
    backgroundColor: '#0180FD'
  },
  text: {
    fontSize: 16,
    lineHeight: 21,
    letterSpacing: 0.25,
    color: 'white'
  },
  modalView: {
    height: '100%',
    backgroundColor: 'white',
    padding: 32,
    shadowColor: '#000'
  },
  exit: {
    color: 'grey',
    fontSize: 31,
    textAlign: 'right'
  },
  modalText: {
    marginBottom: 15,
    textAlign: 'center'
  }
});
//# sourceMappingURL=index.js.map